
#ifdef __cplusplus
extern "C" {
#endif

#pragma once


#include "OGDFType.h"

#include "STDDeletable.h"

#include "stdcxxType.h"


#define HIERARCHYLAYOUTMODULE_DECL_VIRT(Type) \



#define HIERARCHYLAYOUTMODULE_DECL_NONVIRT(Type) \



#define HIERARCHYLAYOUTMODULE_DECL_ACCESSOR(Type) \



#define HIERARCHYLAYOUTMODULE_DEF_VIRT(Type) \



#define HIERARCHYLAYOUTMODULE_DEF_NONVIRT(Type) \



#define HIERARCHYLAYOUTMODULE_DEF_ACCESSOR(Type) \



DELETABLE_DECL_VIRT(HierarchyLayoutModule)
HIERARCHYLAYOUTMODULE_DECL_VIRT(HierarchyLayoutModule)
HIERARCHYLAYOUTMODULE_DECL_NONVIRT(HierarchyLayoutModule)
HIERARCHYLAYOUTMODULE_DECL_ACCESSOR(HierarchyLayoutModule)

#ifdef __cplusplus
}
#endif

